"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/4_/xyjwmyz1497g3qhhndg003800000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d260>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d300>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d3a0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d440>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d4e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d580>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d620>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d6c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d760>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d800>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d8a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x110a7d9e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x110a7da80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x110a7db20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x110a7dbc0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x110a7dc60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x110a7dd00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x110a7dda0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x110a7de40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x110a7dee0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x110a7df80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e020>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e0c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e200>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e2a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e340>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e3e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e480>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e520>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e5c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e660>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e700>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e7a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e840>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e8e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7e980>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ea20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x110a7eac0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x110a7eb60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ec00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7eca0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ed40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ede0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ee80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ef20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x110a7efc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f060>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f100>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f1a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f240>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f2e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f380>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f420>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f4c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f560>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f600>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f6a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f740>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f7e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f880>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f920>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x110a7f9c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fa60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fb00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fba0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fc40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fce0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fd80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fe20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x110a7fec0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x110a7ff60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x110a84040>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x110a840e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x110a84180>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x110a84220>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x110a842c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x110a84360>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x110a84400>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x110a84540>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x110a844a0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x110a845e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x110a84680>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x110a84720>)]
name: str = 'fr_HOCCN'
